require_relative 'minitest_helper'
require_relative 'query_test'

module Qdsl
  class EndToEndTest < QueryTest
    def test_aliases
      query = Qdsl::select(
        Column[:id].as(:alias0),
        Column['first_name'].as(:alias1),
        Column.new(:last_name).as(:alias2)
      ).from(@clients)

      result = query.render

      assert_sql <<-SQL, result.sql
SELECT
  _00.id AS alias0,
  _00.first_name AS alias1,
  _00.last_name AS alias2
FROM clients AS _00
      SQL
    end

    def test_unknown_column
      query = Qdsl::select(:unknown).from(@clients)

      assert_raises RuntimeError do
        query.render
      end
    end
  end
end

