require_relative 'minitest_helper'

module Qdsl
  class WhereTest < QueryTest
    def test_simple_where
      query = Qdsl::select(:first_name).
        from(@clients).
        where { |t| t.id.equals('Cook') }

      result = query.render

      assert_sql <<-SQL, result.sql
SELECT
  _00.first_name
FROM clients AS _00
WHERE _00.id = :_param00
      SQL
      assert_equal 1, result.parameters.size
      assert_equal 'Cook', result.parameters['_param00']
    end
  end
end

